ubuntu/+source/gnupg2:ubuntu/hardy-updates

Last commit made on 2012-08-21
Get this branch:
git clone -b ubuntu/hardy-updates https://git.launchpad.net/ubuntu/+source/gnupg2
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/hardy-updates
Repository:
lp:ubuntu/+source/gnupg2

Recent commits

42b90de... by Marc Deslauriers on 2012-08-14

Import patches-unapplied version 2.0.7-1ubuntu0.2 to ubuntu/hardy-proposed

Imported using git-ubuntu import.

Changelog parent: 401392f50478f5fd4914d969717b0a365f98df40

New changelog entries:
  * keyserver/gpgkeys_hkp.c: Use the longest key ID available when
    requesting a key from a key server.
    - http://git.gnupg.org/cgi-bin/gitweb.cgi?p=gnupg.git;a=commit;h=3005b0a6f43e53bed2f9b6fba7ad1205bdb29bc5

401392f... by Marc Deslauriers on 2010-08-10

Import patches-unapplied version 2.0.7-1ubuntu0.1 to ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 4767318a5a4e5d616f4791539c25eb3bfa857178

New changelog entries:
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via certificate with large number of Subject Alternate Names
    - kbx/keybox-blob.c: fix use-after-free.
    - http://cvs.gnupg.org/cgi-bin/viewcvs.cgi?view=rev&revision=5371
    - CVE-2010-2547

4767318... by Eric Dorland on 2007-09-30

Import patches-unapplied version 2.0.7-1 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 8252f409ed11f66b50e35bce4c7899127c7d4ad9

New changelog entries:
  * New upstream release.
  * debian/rules:
    - Remove unnecessary deletion of the .gmo files. (Closes: #442583)
    - Clean out some old comments
  * gnupg-agent.xsession: Remove the quotes around --write-env-file
    argument. Not ideal, but fine for now. Thanks Luis Rodrigo Gallardo
    Cruz. (Closes: #443580)
  * New upstream release. (Closes: #437289)
  * debian/gnupg-agent.xsession: Run the Xsession under the gpg-agent, so
    it exits properly when the session dies. (Closes: #401843)
  * debian/control: Add XS-Vcs headers for its new git home.
  * The "Ubuntu, I would have done it had you only asked" release.

  * debian/copyright: Fix download location. Thanks Ubuntu.
  * debian/README.Debian: Remove, doesn't contain any relevant info.
  * debian/rules:
    - Build with --sysconfdir=/etc, thanks Bernhard Herzog. (Closes: #434790)
    - Run dh_installexamples.
    - Don't list the docs to install in here.
  * debian/gnupg2.examples: New file, install gpgconf.conf as an example
    into /usr/share/doc. Hope this is a good compromise Bernhard. (Closes:
    #434878)
  * debian/control:
    - Remove opensc and pcsc-lite build dependencies, they're not used anymore.
    - Add libcurl4-gnutls-dev build dep, to use the real curl.
  * g10/call-agent.c: set DBG_ASSUAN to 0 to suppress a debug
    message. Thanks Ubuntu.
  * debian/gnupg2.docs, debian/gpgsm.docs: Move installed docs in here,
    add some new docs. Thanks Ubuntu.
  * debian/rules, debian/gnupg-agent.install: Build symcryptrun and install it
    in the gnupg-agent package. Thanks Bernhard Herzog. (Closes: #434787)
  * debian/rules, debian/control: Only recommend libldap, don't depend on
    it.Thanks Riku. (Closes: #435138)
  * New upstream release.
  * debian/watch: Add watch file.
  * debian/control:
    - Require libassuan 1.0.2 or greater.
    - Require libksba 1.0.2 or greater.
    - Don't recommend plain gpg anymore.
  * debian/copyright: Update copyright text for GPL v3 relicensing.
  * docs/scdaemon.texi: Remove old --print-atr documentation. Thanks
    Ludovic Rousseau. (Closes: #404128)
  * New upstream release.
  * New upstream release.
    - Fixes multoiple messages problem aka CVE-2007-1263.
  * New upstream release. (Closes: #409559)
  * Thanks Andreas Barth for NMUs. (Closes: #400777, #401895, #401913)
  * debian/gpgsm.install: pcsc-wrapper renamed to gnupg-pcsc-wrapper.
  * debian/control: Remove unnecessary dependencies on makedev and
    udev. Thanks Marco d'Itri.
  * doc/gnupg.texi, debian/gnupg2.info, debian/rules: Set the output file
    to gnupg2.info, and use that for the index. (Closes: #398493)
  * debian/control: Update forgotten replaces for pcsc-wrapper move.
  * debian/control: Remove warning about development, thanks Gonzalo
    HIGUERA DIAZ. (Closes: #399551)
  * All packaging fixes, so urgency medium to beat the freeze.
  * debian/distfiles, debian/lintian.override, debian/point-to-info.1:
    Remove unused files.
  * debian/gnupg2.info, debian/rules, gnupg2.files: Install all the info
    files properly. (Closes: #398493)
  * debian/rules:
    - Remove some unnecessary autotools build rules.
    - Move some of make install targets more correctly to the
      configure line.
  * debian/*.files, debian/rules: Rename *.files to .install and use
    dh_install nstead of dh_movefiles.
  * debian/gnupg-agent.xsession: Account for spaces in the configuration
    file, thanks Artem Zolochevskiy. (Closes: #352326)
  * debian/control:
    - Adjust build-dependency versions slightly to match what the
      configure scipt requires.
    - Update Standards-Version to 3.7.2.2.
  * debian/gpgsm.install, debian/gnupg2.install: Install the pcsc-wrapper
    in gpgsm. (Closes: #353232)
  * debian/gpgsm.install, debian/rules: Install gpg-protect-tool into
    /usr/libb/gnupg2.
  * New upstream release. (Closes: #398215)
  * common/estream.c: #define PTH_SYSCALL_SOFT 0 as suggested by Daniel Hess.
  * New upstream release.
  * New upstream release. Urgency medium to try to beat the freeze. Thanks
    to Andreas Metzler for getting this package into shape.
  * New upstream version, built against clean upstream tarball.
    (Closes: #378489,#388257)
  * bump Build-Depends:
    - libgpg-error-dev 0.6 -> 1.4
    - libassuan-dev 0.6.10 -> 0.9.1
    - libksba-dev 0.9.13 -> 1.0.0 (closes: #368552)
  * Add libreadline5-dev to Build-Depends.
  * Pass proper --build and --host args to ./configure.
  * configure with --mandir='$${prefix}/share/man'.
  * Add $(LIBINTL) to gpgsplit_LDADD in tools/Makefile.am.
  * New upstream includes a lot more manpages, ship them.
    (Closes: #300129,#300677)
    gpg-agent(1) documents ~/gpg-agent.conf. (Closes: #300676)
  * Update debian/copyright.
  * Drop gnupg2.postinst gnupg2.postrm postinst postrm. They all only consited
    of calls to suidregister for /usr/bin/gpg" or "chmod 4755 /usr/bin/gpg".
    suidregister has been obsolete for a long time and /usr/bin/gpg is not
    part of these packages. - If /usr/bin/gpg(v)2 was supposed to be installed
    suid it should be shipped with these permissions in the deb instead
    using chmod in postinst anyway.
  * Drop preinst (ending up as gnupg-agent's preinst), which only showed
    a warning on upgrades from <<0.3.2-1. - There never was a gnupg-agent
    0.3.2-1.
  * Add (noop) binary-indep target as required by policy 4.9.
  * debian/control: Make myself the maintainer with Matthias' permission.
  * Acknowledge NMU. (Closes: #375053, #376755)
  * g10/parse-packet.c: Patch from Martin Schulze to backport security fix
    for CVE-2006-3746, crash when receiving overly long comments.

8252f40... by Steinar H. Gunderson on 2006-07-04

Import patches-unapplied version 1.9.20-1.1 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 351977e73beeee495c100f568be9ad39dd2f2a74

New changelog entries:
  * Non-maintainer upload.
  * Adapt patch from upstream CVS, fixing buffer overflow leading to remote
    DoS/crash (CVE-2006-3082). (Closes: #375053)

351977e... by Matthias Urlichs on 2006-01-24

Import patches-unapplied version 1.9.20-1 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 99aa1317cd9752357f85ea980331ee2d5a7b0c70

New changelog entries:
  * New Upstream version. Closes:#306890,#344530
    * Closes:#320490: gpg-protect-tool fails to decrypt PKCS-12 files
  * Depend on libopensc2-dev, not -1-. Closes:#348106

99aa131... by Matthias Urlichs on 2005-12-08

Import patches-unapplied version 1.9.19-2 to ubuntu/dapper

Imported using git-ubuntu import.

Changelog parent: 952af162d31ca0ba2cb72acaaa19e863f66f57d0

New changelog entries:
  * Convert debian/changelog to UTF-8.
  * Put gnupg-agent and gpgsm lintian overrides in the respectively
    right package. Closes: #335066
  * Added debhelper tokens to maintainer scripts.
  * xsession fixes:
    o Added host name to gpg-agent PID file name. Closes: #312717
    o Fixed xsession script to be able to run under zsh. Closes: #308516
    o Don't run gpg-agent if one is already running. Closes: #336480
  * debian/control:
    o Fixed package description of gpgsm package. Closes: #299842
    o Added mention of gpg-agent to description of gnupg-agent package.
      Closes: #304355
  * Thanks to Peter Eisentraut <email address hidden> for all of the above.
  * Merged with 1.9.19.
  * Re-enable gpgv2 package.
  * Merged with Upstream 1.9.17.

952af16... by Matthias Urlichs on 2005-04-07

Import patches-unapplied version 1.9.15-6 to ubuntu/breezy

Imported using git-ubuntu import.